% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/param_svm.R
\name{cost}
\alias{cost}
\alias{svm_margin}
\title{Support vector machine parameters}
\usage{
cost(range = c(-10, 5), trans = transform_log2())

svm_margin(range = c(0, 0.2), trans = NULL)
}
\arguments{
\item{range}{A two-element vector holding the \emph{defaults} for the smallest and
largest possible values, respectively. If a transformation is specified,
these values should be in the \emph{transformed units}.}

\item{trans}{A \code{trans} object from the \code{scales} package, such as
\code{scales::transform_log10()} or \code{scales::transform_reciprocal()}. If not provided,
the default is used which matches the units used in \code{range}. If no
transformation, \code{NULL}.}
}
\description{
Parameters related to the SVM objective function(s).
}
\examples{
cost()
svm_margin()
}
